import { Construct } from 'constructs';
import { aws_s3 as s3, aws_lambda as lambda, aws_cloudfront as cloudfront, aws_route53, aws_sqs as sqs, aws_iam } from 'aws-cdk-lib';
import { Props } from "./props.js";
export * from "./props.js";
export declare class NextJSLambdaEdge extends Construct {
    private props;
    private readonly routesManifest;
    private apiBuildManifest;
    private readonly imageManifest;
    private readonly defaultManifest;
    private prerenderManifest;
    distribution: cloudfront.Distribution;
    bucket: s3.Bucket;
    edgeLambdaRole: aws_iam.Role;
    defaultNextLambda: lambda.Function;
    nextApiLambda: lambda.Function | null;
    nextImageLambda: lambda.Function | null;
    nextStaticsCachePolicy: cloudfront.CachePolicy;
    nextImageCachePolicy: cloudfront.CachePolicy;
    nextLambdaCachePolicy: cloudfront.CachePolicy;
    aRecord?: aws_route53.ARecord;
    regenerationQueue?: sqs.Queue;
    regenerationFunction?: lambda.Function;
    constructor(scope: Construct, id: string, props: Props);
    private pathPattern;
    private readRoutesManifest;
    private readDefaultManifest;
    private readPrerenderManifest;
    private readApiBuildManifest;
    private readImageBuildManifest;
}
